Get Contact by Company Id
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| company_id | string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "e3e27ac2-f458-4583-b762-66fb5fc0e57b",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "7efe30b5-5b28-42db-bba0-70cb73511525",
"company_code": "sample string 5",
"company": {
"id": "1d910068-239b-4496-b586-1c7e5283c913",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-14T13:58:32.8615493+00:00",
"sales_territory_id": "af426e68-4088-4479-a955-3d857038e75f",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "db607a37-7941-4407-8da6-d0409f244b02",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "37fd2170-0e94-4f49-8595-9ba633fb3f3f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "8b14fdbd-f941-4342-81c5-dd6523641907",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b0f65576-8661-454d-98e3-37c79a254fd9",
"db_currency_id": "864a12d4-c8c9-4253-ae23-e567718a4742",
"db_language_id": "47b588d7-eb05-4a4d-bf2f-ed0503039917",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T13:58:32.8801393+00:00"
},
"modified_dateutc": "2026-11-14T13:58:32.8801393+00:00"
},
"marketing_segment_id": "03a2e914-f2c4-47ab-af44-4ee4659adbff",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "1fe04ab8-1d9f-4f2f-aa5a-d536a6153c6e",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "0525ecd4-9491-4631-a049-590d983ab5ae",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "e1aa7e9e-1fad-4483-860b-91707077f8c6",
"db_country_code": "sample string 28",
"feelist_id": "e70a6f74-c9fa-4009-8244-b8da8a1df9a7",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "13678a07-4c2b-4d29-88f0-e87ef67d475f",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "ddde08c4-b026-4c7d-9419-c9750c7eefc0",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-14T13:58:32.8801393+00:00",
"db_currency_id": "b63db824-2a62-4930-a9e5-33029477cd64",
"db_currency_code": "sample string 10"
},
"company_type_id": "df621133-943e-4602-9120-08ccbe0b689d",
"company_type_name": "sample string 32",
"company_type": {
"id": "051566e0-b233-4671-9f94-153af0748f1f",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "d11d2e64-2a34-4916-9aef-3ae85c998c24",
"sales_organization_code": "sample string 5"
},
"db_language_id": "b3363bbd-78aa-4d32-a7a1-c3f6a44405ef",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "3d7f3a8d-1555-497f-9920-edd5ad382c99",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "b8de0ca8-02d4-4790-9d95-ce3a75124400",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "bb7065fc-7045-48be-88ba-20372f2d1206",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-14T13:58:32.8801393+00:00"
},
"company_sector_id": "d85e8185-1607-4c03-a083-836e32abb48c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "bdb2ec5d-477d-4673-ad2d-d36caa657c09",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "ef49415a-d0d7-4abb-aa63-7077145a994c",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "b9b7d798-bc1a-45ce-af7d-43bab9a02a00",
"account_manager_user_code": "sample string 56",
"company_status_id": "ff352ae2-3eea-48d8-93a1-9dd6117511c3",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-14T13:58:32.8801393+00:00",
"id2": 60
},
"db_language_id": "53259da3-8f31-4989-bba7-9a1192c70018",
"db_language_code": "sample string 7",
"db_title_id": "919862ee-710c-42f2-930f-7f662445ef73",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-14T13:58:32.8801393+00:00",
"create_date": "2026-11-14T13:58:32.8801393+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-14T13:58:32.8801393+00:00"
}